AKPOP3D(8)

NAME
akpop3d - small and secure POP3 daemon

SYNOPSIS
akpop3d [-s] [-p port] [-d] [-f pidfile] [-c certfile] [-k keyfile] [-l address] [-a authfile] [-m spooldir] [-g group] [-D] [-L mboxfile] [-t timeout] [-x tmpdir] [-v] [-h]

DESCRIPTION
akpop3d is a small and secure implementation of a server for as described in Furthermore, POP3-over-SSL for secure retrieval of email is also supported.

akpop3d must be started as root. It then listens for connections on port 110. When the commandline switch -s is used, POP3-over-SSL is enabled, and akpop3d listens on port 995.

akpop3d is usually started via some kind of startup script, which depends on your Unix system. Init scripts for Debian and Red Hat systems are provided with the source package.

OPTIONS
akpop3d accepts the following commandline switches:

-d  Run as a daemon (in the background). The process ID of the daemon is written to a PID file, which by default is /var/run/akpop3d.pid but which can be changed using the -f option.

-f pidfile
    Store the process ID of the daemon in pidfile which must be specified as a full path (i.e. /path/to/something instead of something on its own).

-s  SSL mode: instead of listening on port 110, akpop3d will listen on port 995 and will use SSL to encrypt communications. The certificate and key will be taken from /etc/akpop3d/cert.pem and /etc/akpop3d/key.pem respectively unless set with the -c and -k options.

-c certfile
    Use certfile for the SSL certificate. (Point this to your SSL certificate.)

-k keyfile
    Use keyfile for the SSL key. (Point this to your RSA key.)

-p port
    Listen on the given port instead of port 995 (SSL) or 110 (non-SSL).

-g group
    Specify the group ID used to access the mail spool.

-l address
    Listen on the given address instead of not binding to a specific IP address.

-a authfile
    Instead of using /etc/passwd for authentication, read information from the authfile text file. The format of this file is username:password:unixname:maildrop (one record per line), where username is the POP3 username, password is the POP3 password, unixname is the Unix username to run as when reading the mailbox, and maildrop is the full path to the maildrop file to use for that user. Note that as with the -f option, authfile must be specified as a full path.

    The password may be given either as an MD5 hash or in the clear (not recommended). If MD5 us used, the value should be "MD5-" followed by 32 hexadecimal digits (lower case) representing the MD5 output of the following string: The password, a line feed (ASCII 10), the user name, a line feed, and the magic string "akpop3d". No trailing line feed after the magic string. As an example, the password "foo" for user "bar" would be "MD5-a199706d2b8302a086a20fe9fb4e8403".

    If the programs printf and md5sum are available, which they typically are on GNU-based systems, the hash may be calculated using the following command:

    printf "foo\nbar\nakpop3d" | md5sum

-m spooldir
    specifies an alternative mail spool directory. The default is /var/mail/.

-D  enables using the files /etc/pop3.allow and /etc/pop3.deny for specifying users that are allowed to receive email via POP3.

-L mboxfile
    uses the file mboxfile in the user's home directory as mailspool.

-t timeout
    sets a timeout of timeout seconds for read and write operations. The default is 30 seconds.

-x tmpdir
    set the default temporary directory to tmpdir.

-v  Show the program version and exit.

-h  Show a summary of program options and exit.

SEE ALSO
popa3d(8) RFC 1939 - Post Office Protocol - Version 3.

HISTORY
The current POP3 protocol standard was published in May 1996. It was preceded by POP2 (February 1985) and POP (October 1984).

AUTHORS
Andreas Krennmair <ak@synflood.at>

Andrew Wood <andrew.wood@ivarch.com>